/*
This file and all other related Python Server Pages files are Copyright (c) 1999 Angell
Enterprises, Inc.  All rights reserved.
*/


package com.vmc.psp;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Hashtable;
import java.util.Vector;
import java.util.Enumeration;
import org.python.core.*;

public class PyServer extends PyObject {

	public static PyObject ServerError;
	public static PyException ServerError(String message) {
	    return new PyException(PyResponse.ResponseError, message);
	}

	HttpServletRequest m_req;
	PSPAppContext m_app;
  
  public PyServer( HttpServletRequest req, PSPAppContext app ) {

  	m_app = app;
    m_req = req;

	}

  //
  // Methods
  //

  public void reset() {

  	PSP.clearCache( true );

  }

  public PyDictionary appStats() {
  	return PSP.getAppStats();
  }

  public String appName() {
  	return m_app.g_appName;
  }
  
  public String HTMLEncode( String s ) {
  	return s;
  }
  public String MapPath( String s ) {
  	return m_req.getRealPath( s );
  } // MapPath

  public String URLEncode( String s ) {
  	return s;
  } // URLEncode

}
