#ifndef SHAPE_H
#define SHAPE_H

enum Color {
	black,
	blue,
	green,
	cyan,
	red,
	magenta,
	yellow,
	white
};

struct Shape {
	Color color;
	bool filled;
	Shape(Color clr = black, bool fill = false) : color(clr), filled(fill) { }
    virtual void draw() = 0;
};

#endif
