import sys, os, java, jarray, string

def makePath( path ):

	# make directories if necessary
	pathParts = string.split( path, os.sep )
	testDir = ''
	for part in pathParts:
		testDir = testDir + part + os.sep
		if not os.path.exists( testDir ):
			os.mkdir( testDir )
	
def fixname(s):
	result = []
	lasti = 0
	for i in range(len(s)):
		if s[i] == '/':
			result.append(s[lasti:i])
			lasti = i+1
	result.append(s[lasti:])
	return apply(os.path.join, tuple(result))

entries = zipfile.entries()

outdir = raw_input( 'Directory to install Python Server Pages: ' )
if len(outdir) == 0:
	print 'Installation directory not specified, aborting installation.'
	sys.exit(1)

print 'Installing to: ', outdir

buffer = jarray.zeros(1024, 'b')

###############################################
### Make directories
###############################################

makePath( outdir )
makePath( os.path.join(outdir, 'cache' ) )
makePath( os.path.join(outdir, 'src%sinstall%spsp' % (os.sep,os.sep) ) )
makePath( os.path.join(outdir, 'src%sinstall%spspdocs' % (os.sep,os.sep) ) )
makePath( os.path.join(outdir, 'src%scom%svmc%spsp' % (os.sep,os.sep,os.sep) ) )

###############################################
### Extract and copy the files
###############################################
while entries.hasMoreElements():
	entry = entries.nextElement()
	
	if entry.isDirectory(): continue
	
	infile = zipfile.getInputStream(entry)
	
	name = fixname(entry.getName())
	
	if name == '__run__.py': continue
	
	outname = os.path.join(outdir, name)
	
	outfile = java.io.FileOutputStream(outname)
	
	#print entry.getSize(), entry.getMethod(), entry.DEFLATED
	
	#if entry.getMethod() == entry.DEFLATED:
		#infile = java.util.zip.GZIPInputStream(infile)

	bytes = entry.getSize() #infile.available()
		

	#print 'copying %s to %s (%d bytes)' % (name, outname, bytes)
	print ".",
	
	while 1:
		n = infile.read(buffer)
		if n == -1: break
		outfile.write(buffer, 0, n)
	
	infile.close()
	outfile.close()
	

print
print "Python Server Pages installed."
